angular.module('resus', ['ionic','algorithms.controllers','menu.controllers', 'extras.controllers','ngStorage'])

.run(function($ionicPlatform,$rootScope) {
  $ionicPlatform.ready(function() {
  
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard for form inputs)
    if (window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.hide();
    }
  });
})

.config(function($stateProvider, $urlRouterProvider, $ionicConfigProvider) {

  $ionicConfigProvider.backButton.text('Back').icon('ion-chevron-left');
  $ionicConfigProvider.tabs.position('bottom').style('striped');

  $stateProvider

  .state('app', {
    url: "/app",
    abstract: true,
    templateUrl: "templates/menu.html"
  })

  .state('app.tabs', {
    url: "/tabs",
    views: {
      'menuContent': {
        templateUrl: "templates/tabs.html"
      }
    }
  })

.state('app.tabs.adult', {
      url: 'tab/adult',
      views: {
        'tab-adult': {
          templateUrl: 'templates/tab-adult.html'
        }
      }
    })

.state('app.tabs.paeds', {
      url: 'tab/paeds',
      views: {
        'tab-paeds': {
          templateUrl: 'templates/tab-paeds.html'
        }
      }
    })

.state('app.tabs.extras', {
    url: 'tab/extras',
    views: {
      'tab-extras': {
        templateUrl: 'templates/tab-extras.html'
      }
    }
  })

//subsections
.state('app.tabs.bls', {
      url: "tab/bls",
      views: {
        'tab-adult': {
          templateUrl: "templates/bls.html"
        }
      }
  })

.state('app.tabs.als', {
      url: "tab/als",
      views: {
        'tab-adult': {
          templateUrl: "templates/als.html"
        }
      }
  })

.state('app.tabs.als1', {
      url: "tab/als1",
      views: {
        'tab-adult': {
          templateUrl: "templates/als1.html",
          controller: 'CprCtrl'
        }
      }
  })

.state('app.tabs.als2', {
      url: "tab/als2",
      views: {
        'tab-adult': {
          templateUrl: "templates/als2.html",
          controller: 'CprCtrl'
        }
      }
  })

.state('app.tabs.als3', {
      url: "tab/als3",
      views: {
        'tab-adult': {
          templateUrl: "templates/als3.html"
        }
      }
  })

.state('app.tabs.brady', {
      url: "tab/brady",
      views: {
        'tab-adult': {
          templateUrl: "templates/brady.html"
        }
      }
  })

.state('app.tabs.brady1', {
      url: "tab/brady1",
      views: {
        'tab-adult': {
          templateUrl: "templates/brady1.html"
        }
      }
  })

.state('app.tabs.brady2', {
      url: "tab/brady2",
      views: {
        'tab-adult': {
          templateUrl: "templates/brady2.html"
        }
      }
  })

.state('app.tabs.brady3', {
      url: "tab/brady3",
      views: {
        'tab-adult': {
          templateUrl: "templates/brady3.html"
        }
      }
  })

.state('app.tabs.tachy', {
      url: "tab/tachy",
      views: {
        'tab-adult': {
          templateUrl: "templates/tachy.html"
        }
      }
  })

.state('app.tabs.tachy1', {
      url: "tab/tachy1",
      views: {
        'tab-adult': {
          templateUrl: "templates/tachy1.html"
        }
      }
  })

.state('app.tabs.tachy2', {
      url: "tab/tachy2",
      views: {
        'tab-adult': {
          templateUrl: "templates/tachy2.html"
        }
      }
  })

.state('app.tabs.tachy3', {
      url: "tab/tachy3",
      views: {
        'tab-adult': {
          templateUrl: "templates/tachy3.html"
        }
      }
  })

.state('app.tabs.tachy4', {
      url: "tab/tachy4",
      views: {
        'tab-adult': {
          templateUrl: "templates/tachy4.html"
        }
      }
  })

.state('app.tabs.tachy5', {
      url: "tab/tachy5",
      views: {
        'tab-adult': {
          templateUrl: "templates/tachy5.html"
        }
      }
  })

.state('app.tabs.tachy6', {
      url: "tab/tachy6",
      views: {
        'tab-adult': {
          templateUrl: "templates/tachy6.html"
        }
      }
  })

.state('app.tabs.tachy7', {
      url: "tab/tachy7",
      views: {
        'tab-adult': {
          templateUrl: "templates/tachy7.html"
        }
      }
  })

.state('app.tabs.tachy8', {
      url: "tab/tachy8",
      views: {
        'tab-adult': {
          templateUrl: "templates/tachy8.html"
        }
      }
  })

.state('app.tabs.tachy9', {
      url: "tab/tachy9",
      views: {
        'tab-adult': {
          templateUrl: "templates/tachy9.html"
        }
      }
  })

.state('app.tabs.choke', {
      url: "tab/choke",
      views: {
        'tab-adult': {
          templateUrl: "templates/choke.html"
        }
      }
  })

.state('app.tabs.choke1', {
      url: "tab/choke1",
      views: {
        'tab-adult': {
          templateUrl: "templates/choke1.html"
        }
      }
  })

.state('app.tabs.choke2', {
      url: "tab/choke2",
      views: {
        'tab-adult': {
          templateUrl: "templates/choke2.html"
        }
      }
  })

.state('app.tabs.hosp', {
      url: "tab/hosp",
      views: {
        'tab-adult': {
          templateUrl: "templates/hosp.html"
        }
      }
  })

.state('app.tabs.hosp1', {
      url: "tab/hosp1",
      views: {
        'tab-adult': {
          templateUrl: "templates/hosp1.html"
        }
      }
  })

.state('app.tabs.hosp2', {
      url: "tab/hosp2",
      views: {
        'tab-adult': {
          templateUrl: "templates/hosp2.html"
        }
      }
  })

.state('app.tabs.aed', {
      url: "tab/aed",
      views: {
        'tab-adult': {
          templateUrl: "templates/aed.html"
        }
      }
  })

.state('app.tabs.aed1', {
      url: "tab/aed1",
      views: {
        'tab-adult': {
          templateUrl: "templates/aed1.html"
        }
      }
  })

.state('app.tabs.aed2', {
      url: "tab/aed2",
      views: {
        'tab-adult': {
          templateUrl: "templates/aed2.html"
        }
      }
  })

.state('app.tabs.ana', {
      url: "tab/ana",
      views: {
        'tab-adult': {
          templateUrl: "templates/ana.html",
          controller: 'AnaCtrl'
        }
      }
  })

.state('app.tabs.pbls', {
      url: "tab/pbls",
      views: {
        'tab-paeds': {
          templateUrl: "templates/pbls.html"
        }
      }
  })

.state('app.tabs.pals', {
      url: "tab/pals",
      views: {
        'tab-paeds': {
          templateUrl: "templates/pals.html"
        }
      }
  })

.state('app.tabs.pals1', {
      url: "tab/pals1",
      views: {
        'tab-paeds': {
          templateUrl: "templates/pals1.html",
          controller: 'CprCtrl'
        }
      }
  })

.state('app.tabs.pals2', {
      url: "tab/pals2",
      views: {
        'tab-paeds': {
          templateUrl: "templates/pals2.html",
          controller: 'CprCtrl'
        }
      }
  })

.state('app.tabs.pals3', {
      url: "tab/pals3",
      views: {
        'tab-paeds': {
          templateUrl: "templates/pals3.html"
        }
      }
  })

.state('app.about', {
      url: "/about",
      views: {
        'menuContent': {
          templateUrl: "templates/about.html"
        }
      }
  })

.state('app.tabs.pchoke', {
      url: "tab/pchoke",
      views: {
        'tab-paeds': {
          templateUrl: "templates/pchoke.html"
        }
      }
  })

.state('app.tabs.pchoke1', {
      url: "tab/pchoke1",
      views: {
        'tab-paeds': {
          templateUrl: "templates/pchoke1.html"
        }
      }
  })

.state('app.tabs.pchoke2', {
      url: "tab/pchoke2",
      views: {
        'tab-paeds': {
          templateUrl: "templates/pchoke2.html"
        }
      }
  })

.state('app.tabs.nbls', {
      url: "tab/nbls",
      views: {
        'tab-paeds': {
          templateUrl: "templates/nbls.html",
          controller: "O2Ctrl"
        }
      }
  })

.state('app.data', {
      url: "/data",
      views: {
        'menuContent': {
          templateUrl: "templates/data.html",
          controller: 'DataCtrl'
        }
      }
  })

.state('app.feedback', {
      url: "/feedback",
      views: {
        'menuContent': {
          templateUrl: "templates/feedback.html",
          controller: "FeedCtrl"
        }
      }
  })

.state('app.tabs.com', {
      url: "/com",
      views: {
        'tab-extras': {
          templateUrl: "templates/com.html"
        }
      }
  })

.state('app.tabs.def', {
      url: "/def",
      views: {
        'tab-extras': {
          templateUrl: "templates/def.html"
        }
      }
  })

.state('app.tabs.rec', {
      url: "/rec",
      views: {
        'tab-extras': {
          templateUrl: "templates/rec.html",
          controller: "RecCtrl"
        }
      }
  });
  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/app/tabs');
});
