angular.module('extras.controllers', [])

.controller('RecCtrl', function($scope, $ionicModal, $ionicPopup, $ionicPlatform, $timeout) {
  
  $scope.cpritems =[];
  $scope._time = null;
  $scope._action = null;
  var timerStarted = false;
  var timeStart;
   $scope.time = 0;
   $scope.seconds = 0; 
   $scope.interval = 0;
    $scope.timeDisplay = "00:00:00";

  $scope.getTime = function(){
    var d = new Date();
    var curr_hour = d.getHours();
    var curr_min = ('0'+d.getMinutes()).slice(-2);
    return curr_hour +":"+curr_min;
  };

  $scope.timerOn = function(){
    if( ! timeStart ){
        timeStart = Date.now();
        $scope.tick();
      }
  };
  

var timer = new Object();
timer.now = Date.now();
timer.date = new Date(timer.now);
timer.nowClean = timer.date.toUTCString();
timer.show = function(){
  console.log(timer.nowClean);
}

  $scope.tick = function(){
    // time calculations
    $scope.time = Date.now() - timeStart; // total elapsed time in ms
    $scope.seconds   = Math.floor($scope.time / 1000) * 1000; // full seconds
    $scope.interval  = ($scope.seconds - $scope.time) + 1000; // adjusted interval so we can calculate the next tick without incurring a cumulative offset 
console.log("Time elapsed " + $scope.time);
    $scope.date = new Date($scope.time);
    $scope.preDisplay = $scope.date.toUTCString();
    $scope.timeDisplay = $scope.preDisplay.match(/\d+:\d+:\d+/);
    $scope.timeDisplay = $scope.timeDisplay[0];
   timer.show();
  
  console.log($scope.timeDisplay);
    if (timerStarted == true){
        $timeout($scope.tick, 1000);
      }
      else{
        $scope.timerOff();
      }
    
  };

  $scope.timerOff = function(){
     timerStarted = false;
     $scope.cpritems =[];
     $scope.timeDisplay = "00:00:00";
     timeStart = null;
      return;
  };

  $scope.recCPR = function(x){
    if(timerStarted == false){
      timerStarted = true;
      $scope.timerOn();
    }

    if($scope.cpritems==0){
      $scope._time = $scope.getTime();
      $scope.cpritems.unshift($scope._time+" : Started");
    }  

  if(x=="Shock"){
      $scope._time = $scope.getTime();
      $scope._action = x;
      $scope.cpritems.unshift($scope._time+" : "+$scope._action);
      //console.log(x);
    }else if(x=="Adrenaline"){
      $scope._time = $scope.getTime();
      $scope._action = x;
      $scope.cpritems.unshift($scope._time+" : "+$scope._action);
      //console.log(x);
    }
  };
 
  // Create the login modal that we will use later
  $ionicModal.fromTemplateUrl('templates/rec_inst.html', {
    scope: $scope,
    animation: 'slide-in-up'
  }).then(function(modal) {
    $scope.modal = modal;
  });
  // Open the login modal
  $scope.openRec = function() {
    $scope.modal.show();
  };
  // Triggered in the login modal to close it
  $scope.closeRec = function() {
    $scope.modal.hide();
  };  

$scope.showReset = function() {
   var confirmPopup = $ionicPopup.confirm({
     title: 'RESET',
     template: '<p class="mid">Delete all records and reset everything.</p><p class="mid">Are you sure?</p>'
   });
   confirmPopup.then(function(res) {
     if(res) {
        $scope.timerOff();
     } 
   });
 };

 $scope.sendReport = function() {
   var confirmPopup2 = $ionicPopup.confirm({
     title: 'REPORT',
     template: '<p class="mid">Email an anonymous report?</p>'
   });
   confirmPopup2.then(function(res) {
     if(res) {
       cordova.plugins.email.open({
          subject: 'CPR Report',
          body: $scope.cpritems.toString()
      })
     } 
   });
 };
});

